uk.gov.hmrc.auth.core.retrieve

# Retrievals

###
Related Docs: trait Retrievals | package retrieve

#### object Retrievals extends Retrievals

Annotations
  @deprecated
Deprecated

  (Since version 2.11.0-play-25, 2.11.0-play-26) Please use uk.gov.hmrc.auth.core.retrieve.v2.Retrievals instead

Linear Supertypes
Retrievals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Retrievals
2. Retrievals
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val affinityGroup: Retrieval[Option[AffinityGroup]]

   Definition Classes
     Retrievals

5. #### val agentCode: Retrieval[Option[String]]

   Definition Classes
     Retrievals

6. #### val agentInformation: Retrieval[AgentInformation]

   Definition Classes
     Retrievals

7. #### val allEnrolments: Retrieval[Enrolments]

   Definition Classes
     Retrievals

8. #### val allItmpUserDetails: Retrieval[~[~[ItmpName, Option[LocalDate]], ItmpAddress]]

   Definition Classes
     Retrievals

9. #### val allUserDetails: Retrieval[~[~[~[~[~[~[~[~[~[~[~[Credentials, Name], Option[LocalDate]], Option[String]], Option[String]], Option[AffinityGroup]], Option[String]], AgentInformation], Option[CredentialRole]], Option[String]], Option[String]], Option[Int]]]

   Definition Classes
     Retrievals

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### val authorisedEnrolments: Retrieval[Enrolments]

    Definition Classes
      Retrievals

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### val confidenceLevel: Retrieval[ConfidenceLevel]

    Definition Classes
      Retrievals

14. #### val credentialRole: Retrieval[Option[CredentialRole]]

    Definition Classes
      Retrievals

15. #### val credentialStrength: Retrieval[Option[String]]

    Definition Classes
      Retrievals

16. #### val credentials: Retrieval[Credentials]

    Definition Classes
      Retrievals

17. #### val dateOfBirth: Retrieval[Option[LocalDate]]

    Definition Classes
      Retrievals

18. #### val description: Retrieval[Option[String]]

    Definition Classes
      Retrievals

19. #### val email: Retrieval[Option[String]]

    Definition Classes
      Retrievals

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

22. #### val externalId: Retrieval[Option[String]]

    Definition Classes
      Retrievals

23. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

24. #### val gatewayInformation: Retrieval[Option[GatewayInformation]]

    Definition Classes
      Retrievals

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### val groupIdentifier: Retrieval[Option[String]]

    Definition Classes
      Retrievals

27. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

28. #### val internalId: Retrieval[Option[String]]

    Definition Classes
      Retrievals

29. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

30. #### val itmpAddress: Retrieval[ItmpAddress]

    Definition Classes
      Retrievals

31. #### val itmpDateOfBirth: Retrieval[Option[LocalDate]]

    Definition Classes
      Retrievals

32. #### val itmpName: Retrieval[ItmpName]

    Definition Classes
      Retrievals

33. #### val loginTimes: Retrieval[LoginTimes]

    Definition Classes
      Retrievals

34. #### val mdtpInformation: Retrieval[Option[MdtpInformation]]

    Definition Classes
      Retrievals

35. #### val name: Retrieval[Name]

    Definition Classes
      Retrievals

36. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

37. #### val nino: Retrieval[Option[String]]

    Definition Classes
      Retrievals

38. #### final def notify(): Unit

    Definition Classes
      AnyRef

39. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

40. #### val postCode: Retrieval[Option[String]]

    Definition Classes
      Retrievals

41. #### val saUtr: Retrieval[Option[String]]

    Definition Classes
      Retrievals

42. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

43. #### def toString(): String

    Definition Classes
      AnyRef → Any

44. #### val unreadMessageCount: Retrieval[Option[Int]]

    Definition Classes
      Retrievals

45. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1. #### val authProviderId: Retrieval[LegacyCredentials]

   Definition Classes
     Retrievals
   Annotations
     @deprecated
   Deprecated

     Use 'credentials' retrieval

2. #### val userDetailsUri: Retrieval[Option[String]]

   Definition Classes
     Retrievals
   Annotations
     @deprecated
   Deprecated

     Use retrievals that fetch user details data directly as opposed to retrieve json using the uri

### Inherited from Retrievals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped